> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/api-reference/ripple/project.md).

# Project

プロジェクトのAPIリファレンスは以下の通りです。

## Create project

プロジェクトの作成

**Role actions**

* `ModifyProject`

**Request**

```http
POST /project HTTP1.1
Authorization: Bearer {token}
Content-Type: application/json

{request body}
```

以下に`{request body}`のリクエストペイロードの例を示します。

**{request body}**

```ruby
{
    "project_code":"project 1",
    "project_label":"project 1 description",
    "project_currency":"jpy"
}
```

**{request body} description**

| Field             | Type     | Required | Validation             | Description |
| ----------------- | -------- | -------- | ---------------------- | ----------- |
| project\_code     | *string* | Yes      | 1 \~ 40                | プロジェクトコード   |
| project\_label    | *string* | Yes      | 1 \~ 40                | プロジェクトラベル   |
| project\_currency | *string* | Yes      | support:\['jpy','usd'] | 表示通貨        |

**Response**

```ruby
HTTP 200

{"status":"success"}
```

## Edit project

プロジェクトの更新

**Role actions**

* `ModifyProject`

**Request**

```http
POST /project/{project_id} HTTP1.1
Authorization: Bearer {token}
Content-Type: application/json

{request body}
```

以下に`{request body}`のリクエストペイロードの例を示します。

```ruby
{
    "project_code":"project 1",
    "project_label":"project 1 description",
    "project_currency":"jpy"
}
```

**{request body} description**

| Field             | Type     | Required | Validation             | Description |
| ----------------- | -------- | -------- | ---------------------- | ----------- |
| project\_code     | *string* | Yes      | 1 \~ 40                | プロジェクトコード   |
| project\_label    | *string* | Yes      | 1 \~ 40                | プロジェクトラベル   |
| project\_currency | *string* | Yes      | support:\['jpy','usd'] | 表示通貨        |

## Delete project

プロジェクトの削除

**Role actions**

* `ModifyProject`

**Request**

```http
DELETE /project/{project_id} HTTP1.1
Authorization: Bearer {token}
```

## Get project list

プロジェクト一覧の取得

**Role actions**

* `ReadProject`
* `ModifyProject`

**Request**

```http
GET /project HTTP1.1
Authorization: Bearer {token}
```

**Response**

```ruby
HTTP 200

[
  {
    "project_id": "prj-ad413e7b2006f3746r790a",
    "project_code": "プロジェクト1",
    "project_label": "プロジェクト1のラベル",
    "project_currency": "jpy"
  },
  {
    "project_id": "prj-fdf13fvf7vb61h0llr6519",
    "project_code": "プロジェクト2",
    "project_label": "プロジェクト2のラベル",
    "project_currency": "jpy"
  },...
]
```

## Get project list per month

月のプロジェクトデータの取得

**Role actions**

* `ReadProject`
* `ModifyProject`

**Request**

```http
GET /project/{month} HTTP1.1
Authorization: Bearer {token}
```

リクエストパラーメータの`{month}`のフォーマット: `yyyy-mm` 例: 2020-01

**Response**

```ruby
HTTP 200

[
  {
    "project_id": "prj-ad413e7b2006f3746r790a",
    "project_code": "プロジェクト1",
    "project_label": "プロジェクト1のラベル",
    "project_currency": "jpy",
    "amount": {
      "aws": {
        "profit": 0,
        "profit_exchanged": 0,
        "profit_exchanged_rate": 0,
        "profit_rate": 0,
        "sales": 0,
        "sales_exchanged": 0,
        "stock": 0,
        "stock_exchanged": 0
      },
      "total": {
        "profit": 0,
        "profit_exchanged": 0,
        "profit_exchanged_rate": 0,
        "profit_rate": 0,
        "sales": 0,
        "sales_exchanged": 0,
        "stock": 0,
        "stock_exchanged": 0
      }
    }
  },...
]
```

## Export project list per month

月のプロジェクトデータCSVの出力

**Role actions**

* `ReadProject`
* `ModifyProject`

**Request**

```http
GET /project/{month}/csv HTTP1.1
Authorization: Bearer {token}
```

リクエストパラーメータの`{month}`のフォーマット: `yyyy-mm` 例: 2020-01

**Response**

```ruby
HTTP 200

{
    "status":"success",
    "data":"csv url"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphaus.cloud/api-reference/ripple/project.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
